#!/bin/bash

# Source tree where you compiled or-tools
ORTOOLS=~/progs/TSP/or-tools
TARGETBASE=~/progs/xcgd/pytsp/sources
TARGET=${TARGETBASE}/ortools

if [ -d ${TARGET} ] 
then
    rm -rf ${TARGET}
    mkdir ${TARGET}
fi

# copy python sources.
cp -r ${ORTOOLS}/src/ortools ${TARGETBASE}
cp -r ${ORTOOLS}/src/gen/ortools ${TARGETBASE}

# copy shared libs
cp -r ${ORTOOLS}/lib/* ${TARGET}/

# remove invalid __init__.py that points to relative paths
rm ${TARGET}/constraint_solver/__init__.py
# create another one which is empty
touch ${TARGET}/constraint_solver/__init__.py

rm ${TARGET}/constraint_solver/*.cc
rm ${TARGET}/linear_solver/*.cc
rm ${TARGET}/graph/*.cc
rm ${TARGET}/algorithms/*.cc

rm ${TARGET}/constraint_solver/*.h
rm ${TARGET}/constraint_solver/*.proto
